Skip to main content
PUT
Update capacity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uuid
string<uuid>
required

Capacity identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Body

application/json

Request body schema.

name
string

Capacity name.

color
enum<string>

Capacity color.

Available options:
orange,
red,
purple,
green,
yellow,
grey
description
string | null

Capacity description.

memberCapacity
number | null

Capacity per member.

allocationExpirationPolicy
Allocation expiration policy · object

Allocation expiration schedule.

modelUuid
string<uuid> | null

Model identifier for capacity mapping.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
idColumnSlug
string | null

Identifier column slug.

timeColumnSlug
string | null

Time column slug.

filter
Filter · object | null

Filter criteria for capacity.

Response

Successful response

capacity
Capacity · object
required

Updated capacity details.